Package com.orchestranetworks.ui.form.widget

# Interface WidgetListValidationContext

All Superinterfaces:
  `WidgetValidationContext`

public interface WidgetListValidationContext extends WidgetValidationContext
Encapsulates an HTTP request so that a custom widget can provide the user input validation context for list custom widget.

Since:
  5.8.0
See Also:
  - `UIListCustomWidget.validate(WidgetListValidationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `getPathForListOccurrence(int index)`
  Returns the absolute path of an occurrence at the specified index under the current aggregated list field (`maxOccurs > 1`).
  `Path`
  `getPathForListOccurrence(int index, boolean isRelative)`
  Returns the path of an occurrence at the specified index under the current aggregated list field (`maxOccurs > 1`).

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.WidgetValidationContext

  `getNode, getOptionalRequestParameterValue, getOptionalRequestParameterValues, getPermission, getSession, getValue, getValueContext, getValueContext, getWidgetName, getWidgetName, getWidgetName, getWidgetNameOfParent`

- ## Method Details

  - ### getPathForListOccurrence

    Path getPathForListOccurrence(int index)
    Returns the absolute path of an occurrence at the specified index under the current aggregated list field (`maxOccurs > 1`).

    This method can be useful for widget that extends `UIListCustomWidget` to call the best matching widget for each occurrence.

    Parameters:
      `index` - The index of an occurrence in the current aggregated list field.
    Returns:
      The path of an occurrence at the specified index.
    See Also:
      - `Step.isIndexed()`
      - `WidgetWriterForList.getPathForListOccurrence(int, boolean)`

  - ### getPathForListOccurrence

    Path getPathForListOccurrence(int index, boolean isRelative)
    Returns the path of an occurrence at the specified index under the current aggregated list field (`maxOccurs > 1`).

    This method can be useful for widget that extends `UIListCustomWidget` to call the best matching widget for each occurrence.

    Parameters:
      `index` - The index of an occurrence in the current aggregated list field.
      `isRelative` - If true, the returned path will be relative. If false, it will be absolute.
    Returns:
      The path of an occurrence at the specified index.
    See Also:
      - `Step.isIndexed()`